Download it now!
Bug 89119 - This svg file takes a very long time to import in writer
Summary: This svg file takes a very long time to import in writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2015-02-04 13:24 UTC by Frederic Parrenin
Modified: 2015-12-17 08:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
.svg image to reproduce the problem (4.54 MB, image/svg+xml)
2015-02-04 13:24 UTC, Frederic Parrenin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frederic Parrenin 2015-02-04 13:24:47 UTC
Created attachment 113123 [details]
.svg image to reproduce the problem

Steps to reproduce:
- open writer and create a new document
- import the attached .svg file in it
=> the svg image is not imported, even after several minutes
By comparison, the same svg image opens up in about 1 second in eog or inkscape
Comment 1 MM 2015-02-04 23:06:43 UTC
Looks the same as https://bugs.documentfoundation.org/show_bug.cgi?id=77077
Duplicate ???
Comment 2 Frederic Parrenin 2015-02-05 12:13:55 UTC
I should add that this image has been produced by gnumeric.
I checked that this bug is present in 4.4.0.
Comment 3 Rostislav 'R.Yu.' Okulov 2015-02-05 16:04:09 UTC
This is a regression because file opens with LO <= 3.7 in ~50-55 sec.

git bisect log
# bad: [752769ad0d2179e17ea0a08cc9004df7b890305b] source-hash-60c64b437c6678dd1d3fa3a6fc2b7da0480890d4
# good: [a71a4447320f177181c9cff9f7c6fd93802cbd8e] source-hash-9afb6e1e38c362a768e8e981f7b03cf8bcaf22cf
git bisect start 'last42onmaster' 'last36onmaster'
# bad: [54c7e3977148ffe7631292f2f7d6d60cf7c86bbc] source-hash-5ad95cec96f6f08c55bb226a6eaeb1eeb95c1279
git bisect bad 54c7e3977148ffe7631292f2f7d6d60cf7c86bbc
# good: [bc687bf6bc5604c51680e798536ccbf35fa0c6b8] source-hash-1692cf6854ff7adbb2bd47f2f7ec2b3de51864f3
git bisect good bc687bf6bc5604c51680e798536ccbf35fa0c6b8
# bad: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect bad 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [2e0fa432485d1db6abd355dad8ccb06f0b97e4fb] source-hash-ce90f99a2d66c2b998ad3f9f028e2ea623a757f5
git bisect bad 2e0fa432485d1db6abd355dad8ccb06f0b97e4fb
# bad: [221bf5c0db153e24c67ff29fe614af7cc010a356] source-hash-9210b95bcfd65ae558f445666d9b880e794d4c74
git bisect bad 221bf5c0db153e24c67ff29fe614af7cc010a356
# bad: [e5973caebe5b9637f93a4da008d76b33b9d5ff6a] source-hash-683758efb22d08a4cf211a6d985148f513da2a90
git bisect bad e5973caebe5b9637f93a4da008d76b33b9d5ff6a
# good: [d36dc3cd85e0b0f13c699c7cdadfde7ab6924a5e] source-hash-d281a19e1d06856f863788f3344ad42ed1566669
git bisect good d36dc3cd85e0b0f13c699c7cdadfde7ab6924a5e
# bad: [ba6eb41acb8df58f3009920f8ab8b32a3e1b764e] source-hash-ae4e4a11d4300f7448cb6bd170fcb034542caddc
git bisect bad ba6eb41acb8df58f3009920f8ab8b32a3e1b764e
# good: [fae90325861bbddd2af90937d29d91637c96661a] source-hash-4316e643ef345b0f673b4a03a80a4b7cb3185588
git bisect good fae90325861bbddd2af90937d29d91637c96661a
# first bad commit: [ba6eb41acb8df58f3009920f8ab8b32a3e1b764e] source-hash-ae4e4a11d4300f7448cb6bd170fcb034542caddc


ba6eb41acb8df58f3009920f8ab8b32a3e1b764e is the first bad commit
commit ba6eb41acb8df58f3009920f8ab8b32a3e1b764e
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Tue Dec 11 01:59:31 2012 +0000

    source-hash-ae4e4a11d4300f7448cb6bd170fcb034542caddc
    
    commit ae4e4a11d4300f7448cb6bd170fcb034542caddc
    Author:     Rene Engelhard <rene@debian.org>
    AuthorDate: Tue Nov 6 21:24:32 2012 +0100
    Commit:     Rene Engelhard <rene@debian.org>
    CommitDate: Tue Nov 6 21:24:32 2012 +0100
    
        typo...
    
        Change-Id: I2c7968194afbcf74967cd16c639dce7de858a513

:100644 100644 c09b92a8ddf24b8738a7cd3a695ae1e4482d354c 6b13afd13f023cedac65a896318de4aa55dead27 M      autogen.log
:100644 100644 bcee1e11bd693642ca5a6330175b58082e5dcdd0 54d2377f5b3afd6ed668b3e24cb877c289119ec5 M      ccache.log
:100644 100644 75677cef16786d2cc95c0d8f301482278ca055c3 d18a6ebcd3b8537c3dd3dbc16e862fb6370ecb8a M      commitmsg
:100644 100644 83b4ecc0ecb3e031c804d49f45f854e95d5cc961 d482c00e5fff6081c6b87b637fd9ffaf3e1e2c6c M      dev-install.log
:100644 100644 91437b9974ffada7e049273419bb8c66c91c0539 abf45ab9609c77a5ab952aa310eafe8c2ffaf85c M      make.log
:040000 040000 45c0bab8b669778ab523c8f65a25e8c9afde604a f4bfa15b2f72d3df5675b07bcf32254a819b9d19 M      opt
Comment 4 Rostislav 'R.Yu.' Okulov 2015-02-05 16:18:17 UTC
Maybe #77077 is the same bug, but anyway, lets fix his one and then I'll test it.
Comment 5 Commit Notification 2015-03-17 21:29:16 UTC
Chr. Rossmanith committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48916c9b8c1363a37bf511626326ee6dc150975c

tdf#89119: SVG - accelerated import of huge paths without fill

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Frederic Parrenin 2015-06-18 02:51:25 UTC
This bug is still present on 4.4.4.2 on ubuntu 14.04.
Comment 7 Frederic Parrenin 2015-06-18 05:33:57 UTC
I confirm this bug is not present on 5.0.0.0beta3 on ubuntu 14.04.
Comment 8 MM 2015-06-26 20:31:56 UTC
Yep, bug seems fixed in the v5 branch, but not in the v4 branch.
Comment 9 Frederic Parrenin 2015-08-07 22:22:23 UTC
Can we mark this bug as fixed?
Comment 10 Robinson Tryon (qubit) 2015-12-17 08:46:13 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]